<?php
/** Odeslání e-mailu podepsaného pomocí standardu PKCS #7
* @param string e-mailová adresa příjemce
* @param string předmět zprávy
* @param string tělo zprávy
* @param mixed podpisový certifikát
* @param mixed soukromý klíč
* @param array další hlavičky e-mailu
* @return bool
*/
function mailSigned($to, $subject, $message, $cert, $privKey,
	$headers = array()
) {
	$headers["To"] = $to;
	$headers["Subject"] = $subject;
	$infile = tempNam("/tmp", "sign");
	$outfile = tempNam("/tmp", "sign");
	file_put_contents($infile, $message);
	openssl_pkcs7_sign($infile, $outfile, $cert, $privKey, $headers);
	$message = file_get_contents($outfile);
	unlink($infile);
	unlink($outfile);
	list($head, $body) = explode(PHP_EOL . PHP_EOL, $message, 2);
	return mail($to, $subject, $body, $head);
}
